.single-content-share-box-left .single-context {
    overflow: hidden;
}
.single-body p {
    margin: 0 0 2rem;
}
.single-body p:last-child {
    margin-bottom: 0;
}
.single-body .wp-caption {
    /*margin-bottom: 55px;*/
}

.single-content ol li:not(:last-child),
.single-content ul li:not(:last-child),
.single-content ol li:not(:last-child),
.single-content ul li:not(:last-child),
.single-content ol[class *= 'wp-block-'] li:not(:last-child),
.single-content ul[class *= 'wp-block-'] li:not(:last-child),
.single-content ol[class *= 'wp-block-'] li:not(:last-child),
.single-content ul[class *= 'wp-block-'] li:not(:last-child),
.wp-block-latest-posts__list li:not(:last-child) {
    margin-bottom: 15px;
}
.single-content ol li > ol,
.single-content ol ul > ul,
.single-content ul li > ul {
    margin-bottom: 0;
    margin-top: 15px;
}

a {
    text-decoration: none;
}
label {
    display: inline-block;
    margin-bottom: 5px;
    max-width: 100%;
    font-size: 14px;
    font-weight: 700;
}
.post-password-form input[type="submit"]:not(.btn) {
    font-size: 12px;
    padding: 7px 20px;
    box-shadow: none;
}
.post-password-form input[type="submit"]:hover {
    background-color: var(--color-primary);
    color: var(--color-white-contrast-100);
}
.typography-copy li > ol,
.typography-copy li > ul,
.comment-content li > ol,
.comment-content li > ul {
    margin-bottom: 0;
    margin-top: 15px;
}
.typography-copy blockquote:before,
.comment-content blockquote:before {
    content: "\201c";
    display: block;
    position: relative;
    top: 0.225em;
    margin-bottom: 0.2em;
    color: #eee;
    font-weight: 700;
    font-size: 5em;
    line-height: 0.3;
}

pre {
    padding: 1.6em;
    margin: 0 0 1.6em;
    font-size: 0.9em;
    line-height: 1.6;
    background-color: #fafafa;
    border: 1px solid var(--color-border-black);
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
}
.wp-block-table tbody tr:nth-child(2n), table tbody tr:nth-child(2n) {
    background-color: rgba(0, 0, 0, .025);
}
/*[class *= 'wp-block-'],*/
.wp-block-image,
.wp-block-cover,
.wp-block-cover-image,
.wp-block-embed,
.wp-block-archives-dropdown,
.wp-block-search,
.wp-block-categories,
.wp-block-group,
.wp-block-media-text,
.wp-block-separator,
.wp-block-table,
.wp-block-audio {
    margin-bottom: 2rem;
}
.wp-block-button,
.wp-block-preformatted {
    margin-top: 2rem;
    margin-bottom: 2rem;
}
.wp-block-button .wp-block-button__link {
    background-color: #32373c;
    color: var(--color-white-contrast-100);
    font-size: 1.125em;
}
/*Wp Image*/
.wp-caption {
    max-width: 100%;
}
.wp-block-image figcaption,
.wp-caption .wp-caption-text,
.wp-caption-dd {
    color: #999;
    font-size: 1rem;
    line-height: 1.5;
    /*display: flex;*/
    /*flex-direction: column;*/
    text-align: center;
}
.wp-block-image img {
    display: block;
}
.wp-block-image:nth-last-child(2):before,
.wp-block-image:nth-last-child(3):before,
.wp-block-image:nth-last-child(2):after,
.wp-block-image:nth-last-child(3):after {
    content: '';
    display: table;
}
.wp-block-image:nth-last-child(2):after,
.wp-block-image:nth-last-child(3):after {
    clear: both;
}
/**/
p.wp-caption-text,
.wp-caption-text {
    margin-top: 10px;
}
.wp-caption-text.gallery-caption {
    margin-top: 0;
}
.wp-caption .wp-caption-text {
    font-size: 1rem;
    font-style: italic;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--color-border-black);
}
/*Wp Button*/

/*Wp Background*/
.wp-block-cover-image.has-background-dim:not([class*=-background-color]),
.wp-block-cover.has-background-dim:not([class*=-background-color]) {
    color: var(--color-white-contrast-100);
}
.wp-block-cover,
.wp-block-cover-image {
    height: auto;
    color: var(--color-white-contrast-100);
}
.wp-block-cover-image .wp-block-cover-image-text a,
.wp-block-cover .wp-block-cover-text a,
section.wp-block-cover-image>h2 {
    text-decoration:  none;
}
.wp-block-cover-image .wp-block-cover-image-text,
.wp-block-cover .wp-block-cover-text,
section.wp-block-cover-image>h2 {
    font-size: 2rem;
    line-height: 1.4;
}
/*Wp Column*/
.wp-block-columns {
    margin-bottom: 0;
}
.typography-copy ol,
.typography-copy ul,
.comment-content ol,
.comment-content ul {
    margin-bottom: 1.6rem;
    padding-left: 1.8rem;
}
.post--single .single-body {
    /*font-size: 1.1428rem;*/
    /*line-height: 1.75; */
    font-size: 17px;
    line-height: 1.75;
}
.has-large-font-size {
    font-size: 2.5714rem;
    line-height: 1.25;
}
.has-medium-font-size {
    font-size: 1.4285rem;
    line-height: 1.4;
}
/*Wp Quote*/
.wp-block-quote.is-large cite,
.wp-block-quote.is-large footer,
.wp-block-quote.is-style-large cite,
.wp-block-quote.is-style-large footer {
    /*font-size: 1.0714rem;*/
}
.wp-block-quote a {
    text-decoration: none;
    font-size: 1.4285rem;
    line-height: 1.4;
}
/*Wp Categories*/
.typography-copy ul.blocks-gallery-grid {
    margin: 0;
    padding: 0;
}
.typography-copy .wp-block-gallery {
    margin-bottom: 1.6em;
}
.typography-copy ul li:not(:last-child).blocks-gallery-item {
    margin-top: 0;
}
.wp-block-embed figcaption {
    text-align: center;
}
.blocks-gallery-caption,
.wp-block-video figcaption {
    width: 100%;
    color: #555;
    font-size: 13px;
    margin-top: 5px;
    margin-bottom: 15px;
}
/*Wp Widget*/
.wp-block-calendar table {
    margin-bottom: 0;
}
.wp-block-calendar table caption {
    margin-bottom: 10px;
}
.wp-block-calendar table th {
    text-align: center;
}
/*
.wp-calendar-nav {
    margin-top: 15px;
}*/
.wp-block-search .wp-block-search__label {
    font-size: 1.2857rem;
    line-height: 1.5;
    margin-bottom: 10px;
    font-weight: 700;
    display: block;
}
.wp-block-search .wp-block-search__button {
    background: #333;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    padding: 0 15px;
    /*height: 40px;*/
    /*line-height: 40px;*/
    color: var(--color-white-contrast-100);
    border: 0;
    font-size: 1.2857rem;
}
/*Wp Layout Elements*/
.wp-block-group.has-background {
    padding: 50px 30px;
}
.wp-block-group p:last-child {
    margin-bottom: 0;
}
.wp-block-separator:not(.is-style-wide):not(.is-style-dots) {
    position: relative;
    display: block;
    max-width: 100%;
    width: 100%;
    height: 10px;
    border: none;
    background-color: transparent;
    background-image: -webkit-radial-gradient(currentColor 1px, transparent 1px);
    background-image: -moz-radial-gradient(currentColor 1px, transparent 1px);
    background-image: -o-radial-gradient(currentColor 1px, transparent 1px);
    background-image: radial-gradient(currentColor 1px, transparent 1px);
    background-position: 1px 1px;
    -webkit-background-size: 5px 5px;
    -moz-background-size: 5px 5px;
    -o-background-size: 5px 5px;
    background-size: 5px 5px;
    background-repeat: repeat;
    opacity: .25;
}
.wp-block-separator:not(.is-style-dots) {
    position: relative;
    display: block;
    height: 10px;
    border: none;
    background-color: transparent;
    background-image: -webkit-radial-gradient(currentColor 1px, transparent 1px);
    background-image: -moz-radial-gradient(currentColor 1px, transparent 1px);
    background-image: -o-radial-gradient(currentColor 1px, transparent 1px);
    background-image: radial-gradient(currentColor 1px, transparent 1px);
    background-position: 1px 1px;
    -webkit-background-size: 5px 5px;
    -moz-background-size: 5px 5px;
    -o-background-size: 5px 5px;
    background-size: 5px 5px;
    background-repeat: repeat;
    opacity: 1;
}
.wp-block-separator.is-style-dots {
    background: none!important;
    border: none;
    text-align: center;
    max-width: none;
    line-height: 1;
    height: auto;
}
/*Wp Format*/
.wp-block-table table {
    border: 1px solid var(--color-border-black);
}
.wp-block-table td:first-child {
    padding: 0.8em;
}
.wp-block-table th, .wp-block-table td {
    border: 1px solid var(--color-border-black);
}

/*Classic*/
input[type="button"]:not(.btn),
input[type="reset"]:not(.btn),
input[type="submit"]:not(.btn) {
    margin-top: 15px;
}
.trackback .comment-body {
    margin-left: 0;
}

/*DarkMode*/
.carbon-dark-mode .widget_recent_entries .post-date {
    color: var(--color-white-contrast-40);
}
.carbon-dark-mode .is-style-outline>.wp-block-button__link:not(.has-text-color),
.carbon-dark-mode .wp-block-button__link.is-style-outline:not(.has-text-color) {
    color: #fff;
    border-color: var(--color-border);
}
.carbon-dark-mode .typography-copy blockquote,
.carbon-dark-mode .comment-content blockquote {
    color: var(--color-white-contrast-80);
}
.carbon-dark-mode input::placeholder {
    color: var(--color-white-contrast-60);
}
.carbon-dark-mode input[type="text"], .carbon-dark-mode input[type="email"],
.carbon-dark-mode input[type="url"], .carbon-dark-mode input[type="password"],
.carbon-dark-mode input[type="search"], .carbon-dark-mode input[type="tel"],
.carbon-dark-mode input[type="number"], .carbon-dark-mode textarea, textarea.form-control,
.carbon-dark-mode select, .carbon-dark-mode select.form-control,
.carbon-dark-mode input[type="button"]:not(.btn), .carbon-dark-mode  input[type="reset"]:not(.btn),
.carbon-dark-mode input[type="submit"]:not(.btn) {
    background-color: var(--background-dark-mode-aside);
    color: var(--color-white-contrast-100);
}
.carbon-dark-mode .atbs-search-header-top input[type="text"] {
    background-color: var(--background-dark-mode);
}
.carbon-dark-mode .wp-block-search .wp-block-search__input {
    border-color: transparent;
    outline: none;
    box-shadow: none;
}
.carbon-dark-mode .wp-block-group .wp-block-button__link {
    background-color: var(--background-dark-mode);
}

.carbon-dark-mode .wp-block-media-text.has-background,
.carbon-dark-mode .wp-block-group.has-background {
    background-color: var(--background-dark-mode-aside) !important;
}
.carbon-dark-mode .typography-copy blockquote,
.carbon-dark-mode .comment-content blockquote {
    border-color: var(--color-border);
}
.carbon-dark-mode table th,
.carbon-dark-mode table td,
.carbon-dark-mode tr,
.carbon-dark-mode .wp-block-table.is-style-stripes,
.carbon-dark-mode .wp-block-table th,
.carbon-dark-mode .wp-block-table td,
.carbon-dark-mode .wp-block-table table {
    border-color: var(--color-border-black);
}
.carbon-dark-mode .wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
    background-color: var(--background-dark-mode-aside);
}

/* theme css*/
.carbon-dark-mode .subscribe-modal .modal-content {
    background-color: var(--background-dark-mode-aside);
}
.carbon-dark-mode .subscribe-modal input[type="email"] {
    border-color: var(--color-border-white);
    color: var(--color-white-contrast-80);
}
.carbon-dark-mode .subscribe-modal input[type="email"]::placeholder {
    color: var(--color-white-contrast-60);
}
.subscribe-modal input[type="submit"] {
    padding: 8px 13px;
}
.carbon-dark-mode .subscribe-modal .modal-body,
.carbon-dark-mode .subscribe-modal .modal-title.modal-title {
    color: var(--color-white-contrast-80);
}
.header-13 .carbon-dark-mode .atbs-search-header-top-style-2 input[type="text"], 
.header-14 .carbon-dark-mode .atbs-search-header-top-style-2 input[type="text"], 
.header-15 .carbon-dark-mode .atbs-search-header-top-style-2 input[type="text"], 
.header-16 .carbon-dark-mode .atbs-search-header-top-style-2 input[type="text"], 
.header-18 .carbon-dark-mode .atbs-search-header-top-style-2 input[type="text"], 
.carbon-dark-mode .wp-block-group .wp-block-button__link {
    background-color: var(--background-dark-mode);
}
.carbon-dark-mode .item-border > *:last-child {
    border-color: var(--color-border-white);
}

/* theme check */
.typography-copy .gallery-caption {
    color: #999;
    font-size: 1rem;
}
.typography-copy .gallery-icon {
    background: transparent;
}
.carbon-dark-mode .typography-copy .gallery-caption {
    color: var(--color-white-contrast-40);

}
.carbon-dark-mode .typography-copy .gallery-icon {
    background: transparent;
}
ul.wp-block-categories,
ul.wp-block-archives {
    line-height: normal;
}
.wp-block-archives > li, 
.wp-block-archives > li::marker {
    /*color: var(--color-primary);*/
}
.carbon-dark-mode .wp-block-archives > li, 
.carbon-dark-mode .wp-block-archives > li::marker {
    color: var(--color-white-contrast-80);
}
.author-social .sr-only {
    display: none;
}
/* wp-block-button */
.wp-block-button .wp-block-button__link {
    text-decoration: none;
    padding: 0.5em 1em;
    border-radius: 8px;
}
.wp-block-button.is-style-squared .wp-block-button__link {
    border-radius: 0;
}
.format-gallery .gallery + *, 
.gallery + * {
    margin-top: 2rem;
}

/*Gutenberg*/
.wp-block-image,
.wp-block-cover,
.wp-block-cover-image,
.wp-block-embed,
.wp-block-archives-dropdown,
.wp-block-search,
.wp-block-categories,
.wp-block-group,
.wp-block-media-text,
.wp-block-separator,
.wp-block-table,
.wp-block-audio {
    margin-bottom: 2rem;
}
.wp-block-button,
.wp-block-preformatted {
    margin-top: 2rem;
    margin-bottom: 2rem;
}
.wp-block-button.alignright,
.wp-block-button.alignleft {
    /*margin-top: 0.8em;*/
    margin-top: 0;
}
.wp-embed-responsive .wp-embed-aspect-16-9 .wp-block-embed__wrapper:before {
    display: none;
}
/*Wp Image*/
.wp-caption {
    max-width: 100%;
}
.wp-block-image figcaption,
.wp-caption .wp-caption-text,
.wp-caption-dd,
.single-content .wp-block-image figcaption,
.single-content .wp-caption .wp-caption-text,
.single-content .wp-caption-dd{
    color: #999;
    font-size: 1rem;
    line-height: 1.5;
    text-align: center;
}
.wp-block-image img {
    display: block;
}
.wp-block-categories li,
.wp-block-categories li::marker,
.wp-block-categories li a,
.wp-block-archives li,
.wp-block-archives li::marker,
.wp-block-archives li a {
    font-weight: 400;
    /*text-transform: uppercase;*/
    font-size: 1rem;
    line-height: 1.4;
    /*color: rgba(0,0,0,0.8);*/
}
.aligncenter {
    text-align: center;
}
.blocks-gallery-caption, .wp-block-video figcaption {
    text-align: center;
}
.blocks-gallery-caption {
    margin-top: 0;
}
.typography-copy .wp-block-gallery {
    margin-bottom: 2rem;
    margin-top: 0;
}
.wp-block-columns {
    margin-bottom: 2rem;
}
.single-body--content blockquote p:not(:last-child) {
    margin-bottom: 2rem;
}
.typography-copy blockquote,
.comment-content blockquote,
.wp-block-quote.blockquote {
    margin: 0 0 1.6em 0;
    font-size: 1.2em;
    line-height: 1.5;
    background-color: #f8f8f8;
    padding: 35px 30px !important;
    border-left: 0;
    position: relative;
}
.wp-block-pullquote blockquote {
    background-color: transparent;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    margin-bottom: 0;
}
.wp-block-pullquote:not(.has-background) {
    background-color: #f8f8f8;
}
.wp-block-pullquote {
    color: var(--color-dark-contrast-60);
}
.wp-block-pullquote:not(.has-text-color) .blockquote {
    /*color: rgba(0, 0, 0, 0.65);*/
}
.wp-block-pullquote:not(.has-border-color) {
    border: 0;
}
.wp-block-pullquote.has-background blockquote {
    /*border-left: 5px solid #eee;*/
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}
.wp-block-pullquote.has-background blockquote:before {

}
.carbon-dark-mode .typography-copy blockquote,
.carbon-dark-mode .comment-content blockquote {
    color: var(--color-white-contrast-60);
    background-color: var(--background-dark-mode-aside);
}
.typography-copy blockquote::before,
.comment-content blockquote::before {
    content: "\201c";
    display: block;
    position: relative;
    top: 0.225em;
    margin-bottom: 0.26em;
    color: inherit;
    font-weight: 700;
    font-size: 4em;
    line-height: 0.3;
    opacity: 0.2;
}
.typography-copy cite,
.wp-block-pullquote cite {
    display: inline-flex;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    padding-left: 25px;
    padding-right: 25px;
}
.typography-copy cite:before,
.wp-block-pullquote cite:before,
.typography-copy cite:after,
.wp-block-pullquote cite:after  {
    content: '';
    position: absolute;
    width: 15px;
    height: 1px;
    background-color: currentColor;
    top: 50%;
    opacity: 0.6;
}
.typography-copy cite:before,
.wp-block-pullquote cite:before {
    left: 0;
}
.typography-copy cite:after,
.wp-block-pullquote cite:after {
    right: 0;
}
blockquote.text-left cite {
    margin-left: 0;
    padding-right: 0;
}
blockquote.text-left cite:after {
    display: none;
}
blockquote.text-right cite {
    margin-right: 0;
    padding-right: 0;
}
blockquote.text-right cite:after {
    display: none;
}
.wp-block-pullquote.is-style-solid-color blockquote p {
    /*color: rgba(0,0,0,0.65);*/
    margin-bottom: 0;
}
.wp-block-pullquote.is-style-solid-color blockquote {
    max-width: 80%;
}
p.has-drop-cap.has-medium-font-size {
    min-height: 82.5px;
}
.has-drop-cap:not(:focus):first-letter {
    font-weight: inherit;
    font-size: 5em;
    line-height: .825;
    margin: .05em .1em 0 0;
    text-transform: uppercase;
    font-style: normal;
}
.wp-block-cover .has-text-align-center.has-large-font-size {
    /*font-size: 2rem !important;*/
    /*line-height: 1.4;*/
}
.wp-block-cover.has-background-dim.alignleft {
    margin-top: 0;
}
.wp-block-file .wp-block-file__button {
    display: inline-flex;
}
.wp-block-calendar {
    margin-bottom: 2rem;
}
.wp-block-embed figcaption {
    color: #999;
    text-align: center;
    font-weight: 400;
    font-size: 14px;
    line-height: 1.5;
    margin-top: 5px;
}
.wp-calendar-nav {
    margin-top: 15px;
}
.wp-calendar-nav  a {
    color: var(--color-dark-contrast-100);
    text-decoration: none;
}
.wp-block-pullquote.is-style-solid-color {
    text-align: left;
}
select {
    border-radius: 5px;
    padding: 10px 15px;
    line-height: 1.5;
    padding-right: 2.6em;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' fill='%23222222' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M16.594 8.578l1.406 1.406-6 6-6-6 1.406-1.406 4.594 4.594z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right .8em center;
    background-size: 20px 20px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.inverse-text select {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' fill='%23ffffffcc' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M16.594 8.578l1.406 1.406-6 6-6-6 1.406-1.406 4.594 4.594z'/%3E%3C/svg%3E");
}
.inverse-text select option {
    color: var(--color-dark-contrast-100);
}

.carbon-dark-mode select {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' version='1.1' fill='%23ffffffcc' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M16.594 8.578l1.406 1.406-6 6-6-6 1.406-1.406 4.594 4.594z'/%3E%3C/svg%3E");
}
.carbon-dark-mode .inverse-text select option {
    color: var(--color-white-contrast-100);
}



.wp-block-latest-comments__comment-excerpt p {
    font-size: .875em;
    line-height: 1.8;
    margin: .36em 0 1.4em;
}
.wp-block-rss__item-title a {
    color: var(--color-dark-contrast-100);
}
pre {
    padding: 1.6em;
    margin: 0 0 1.6em;
    font-size: 0.9em;
    line-height: 1.6;
    background-color: #fafafa;
    border: 1px solid var(--color-border-black);
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
}
.wp-block-table tbody tr:nth-child(2n){
    background-color: rgba(0, 0, 0, .025);
}
.wp-block-column ul li,
.wp-block-column ol li {
    margin-bottom: 1.0714285714285714rem !important;
}
.wp-block-embed__wrapper .atbs-responsive-video {
    margin-bottom: 0;
}
.wp-block-search .wp-block-search__button {
    background: #333;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    padding: 12px 15px;
    min-height: 43px;
    line-height: 1.2;
    color: var(--color-white-contrast-100);
    border: 0;
    font-size: 1.07142857143rem;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}
.wp-block-tag-cloud a:not(:hover) {
    color: rgba(0,0,0,0.8);
}
.wp-block-archives-dropdown label {
    font-size: 17px;
    line-height: 1.75;
}
.wp-block-calendar a {
    text-decoration: none;
}
ul[class*="wp-block-"],
ol[class*="wp-block-"] {
    padding-left: 0;
}
.wp-block-table table {
    border: 1px solid var(--color-border-black);
}
.wp-block-table th, .wp-block-table td {
    border: 1px solid var(--color-border-black);
    /* border-collapse: unset; */
}
.wp-block-pullquote p {
    line-height: 1.6;
}
.wp-block-group__inner-container > h1:not(:last-child),
.wp-block-group__inner-container > h2:not(:last-child),
.wp-block-group__inner-container > h3:not(:last-child),
.wp-block-group__inner-container > h3:not(:last-child),
.wp-block-group__inner-container > h4:not(:last-child),
.wp-block-group__inner-container > h5:not(:last-child),
.wp-block-group__inner-container > h6:not(:last-child) {
    margin-bottom: 20px;
}

.alignleft {
    float: left;
    margin: 0.8em 1.6em 1.6em 0 !important; }
.alignright {
    float: right;
    margin: 0.8em 0 1.6em 1.6em !important; }
.aligncenter {
    clear: both;
    display: block;
    margin: 0.8em auto !important; }